package com.fjhx.sale.controller.quotation;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.quotation.vo.QuotationProductVo;
import com.fjhx.sale.entity.quotation.dto.QuotationProductSelectDto;
import com.fjhx.sale.entity.quotation.dto.QuotationProductDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.sale.service.quotation.QuotationProductService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 商品-报价单关联表 前端控制器
 * </p>
 *
 * @author
 * @since 2023-04-14
 */
@RestController
@RequestMapping("/quotationProduct")
public class QuotationProductController {

    @Autowired
    private QuotationProductService quotationProductService;

    /**
     * 商品-报价单关联表分页
     */
    @PostMapping("/page")
    public Page<QuotationProductVo> page(@RequestBody QuotationProductSelectDto dto) {
        return quotationProductService.getPage(dto);
    }

    /**
     * 商品-报价单关联表明细
     */
    @PostMapping("/detail")
    public QuotationProductVo detail(@RequestBody BaseSelectDto dto) {
        return quotationProductService.detail(dto.getId());
    }

    /**
     * 商品-报价单关联表新增
     */
    @PostMapping("/add")
    public void add(@RequestBody QuotationProductDto quotationProductDto) {
        quotationProductService.add(quotationProductDto);
    }

    /**
     * 商品-报价单关联表编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody QuotationProductDto quotationProductDto) {
        quotationProductService.edit(quotationProductDto);
    }

    /**
     * 商品-报价单关联表删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        quotationProductService.delete(dto.getId());
    }

}
